[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

CNNVD Gov CN #1 - Filter Bypass & Persistent Web Vulnerability



Document Title:
===============
CNNVD Gov CN #1 - Filter Bypass & Persistent Vulnerability


References (Source):
====================
http://www.vulnerability-lab.com/get_content.php?id=1209


Release Date:
=============
2014-02-21


Vulnerability Laboratory ID (VL-ID):
====================================
1209


Common Vulnerability Scoring System:
====================================
5.5


Product & Service Introduction:
===============================
CNNVD (China National Vulnerability Database of Information Security) is the most famous chinese vulnerability database of the east.
The website and web-application is self-coded content management system and the program is connected to the chinese gov cyber security agency.

Copy of the Vendor Homepage: http://www.cnnvd.org.cn/vulnerability )


Abstract Advisory Information:
==============================
The Vulnerability Laboratory Research Team discovered a filter bypass and persistent input validation web vulnerability in the official China National Vulnerability Database of Information Security.


Vulnerability Disclosure Timeline:
==================================
2014-02-19: Researcher Notification & Coordination (Benjamin Kunz Mejri)
2014-02-20: Vendor Notification (CNNVD Security Team)
2014-02-20: Vendor Response/Feedback (CNNVD Security Team)
2014-02-21: Vendor Fix/Patch (CNNVD Developer Team)
2014-02-21: Public Disclosure (Vulnerability Laboratory)


Discovery Status:
=================
Published


Affected Product(s):
====================
China Information Security Evaluation Center
Product: China National Vulnerability Database of Information Security (Gov) 2014 Q1


Exploitation Technique:
=======================
Remote


Severity Level:
===============
High


Technical Details & Description:
================================
A filter bypass and persistent web vulnerability has been discovered in the official China National Vulnerability Database of Information Security.
The filter bypass allows remote attackers to bypass the regular web filter validation of the cms by usage of prepared malicious and encoded script codes.
The persistent input validation web vulnerability allows remote attackers to inject own malicious persistent script codes on the application-side of the 
vulnerable module.

The vulnerability is located in the edit formular POST method request. The vulnerable parameter value are `cont_details` and `displayitem`. Remote 
attackers and privileged user accounts are able to inject own malicious script codes on the application-side. The attack vector is persistent and the 
injection request method is POST. The validation of the web formular does not encode base64 strings in html object tags which results in the persistent 
execution after the include to the item list via moderation. Attackers can encode the advisory in a special crafted plain format to provoke a public 
execution after the inject. The security risk of the filter bypass and persistent input validation web vulnerability is estimated as high(+) with a cvss 
(common vulnerability scoring system) count of 5.5(+)|(-)5.6.

Exploitation of the filter bypass and persistent input validation web vulnerability requires no privileged application user account but a privileged 
moderator web-application user account with low user interaction (verifiy/activate issue). Successful exploitation of the vulnerability results in 
filter validation bypass and session hijacking, persistent phishing, persistent external redirect and persistent manipulation of affected or 
connected module context.

Vulnerable Module(s):
					[+] ../vulnerability/show

Vulnerable Parameter(s):
					[+] cont_details > displayitem

Affected Module(s):
					[+] ../show/cv_id/


Proof of Concept (PoC):
=======================
The filter bypass issue and persistent input validation web vulnerability can be exploited by remote attackers without privileged application user account 
but a privileged moderator web-application user account with low user interaction (verifiy/activate issue). For security demonstration or to reproduce the 
vulnerability follow the provided information and steps below to continue.

PoC: ../cv_id/2014020225

       <tr>
          <td colspan="2" valign="top"><h3><img src="/Public/images/cnnvd3_12_24.jpg" alt="" height="33" width="693"></h3>
          <div class="cont_details">
                         <p class="displayitem">SeaMonkey&#21644;Thunderbird&#37117;&#26159;&#30001;&#32654;&#22269;Mozilla&#22522;&#37329;&#20250;&#24320;&#21457;&#12290;SeaMonkey&#26159;&#19968;&#22871;&#20813;&#36153;&#12289;&#24320;&#28304;&#20197;&#21450;&#36328;&#24179;&#21488;&#30340;&#32593;&#32476;&#22871;&#35013;&#36719;&#20214;&#12290;
Thunderbird&#26159;&#20174;Mozilla Application Suite&#20013;&#29420;&#31435;&#20986;&#26469;&#30340;&#19968;&#22871;&#30005;&#23376;&#37038;&#20214;&#23458;&#25143;&#31471;&#36719;&#20214;&#65292;&#25903;&#25345;IMAP&#12289;POP&#37038;&#20214;&#21327;&#35758;&#20197;&#21450;HTML&#37038;&#20214;&#26684;&#24335;&#12290;
<br>        Mozilla Thunderbird 17.x&#33267;17.0.8&#29256;&#26412;&#65292;Thunderbird ESR 17.x&#33267;17.0.10&#29256;&#26412;&#65292;SeaMonkey 
2.19&#21450;&#20043;&#21069;&#30340;&#29256;&#26412;&#20013;&#23384;&#22312;&#36328;&#31449;&#33050;&#26412;&#28431;&#27934;&#12290;&#36828;&#31243;&#25915;&#20987;&#32773;&#21487;&#36890;&#36807;&#21019;&#24314;&#21253;&#21547;data: URL&#30340;<[PERISSTNET INJECTED SCRIPT CODE!]>&#20803;&#32032;&#30340;&#30005;&#23376;&#37038;&#20214;&#28040;&#24687;&#21033;&#29992;&#35813;&#28431;&#27934;&#27880;&#20837;&#20219;&#24847;Web&#33050;&#26412;&#25110;HTML&#12290;</p>
            </div></td>
        </tr>


Reference(s):
http://www.cnnvd.org.cn/vulnerability/show/cv_id/2014020225

Note: The vulnerability was part of the vulnerability exchange partners program between the cnnvd and vulnerability-labs.


Solution - Fix & Patch:
=======================
The vulnerability can be patched by a secure encode and parse of the vulnerable cont_details > displayitem class values.
Restrict the description input fields and disallow script codes like frames, alerts and other script code tags.
Encode also the description output website of the ../show/cv_id/ to prevent execution of already included and wrong encoded advisories in the cnnvd database.


Security Risk:
==============
The security risk of the filter bypass issue and the persistent input validation web vulnerability is estimated as medium(+).


Credits & Authors:
==================
Vulnerability Laboratory [Research Team] - Benjamin Kunz Mejri (bkm@xxxxxxxxxxxxxxxxx) [www.vulnerability-lab.com]


Disclaimer & Information:
=========================
The information provided in this advisory is provided as it is without any warranty. Vulnerability Lab disclaims all warranties, 
either expressed or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-
Lab or its suppliers are not liable in any case of damage, including direct, indirect, incidental, consequential loss of business 
profits or special damages, even if Vulnerability-Lab or its suppliers have been advised of the possibility of such damages. Some 
states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation 
may not apply. We do not approve or encourage anybody to break any vendor licenses, policies, deface websites, hack into databases 
or trade with fraud/stolen material.

Domains:    www.vulnerability-lab.com   	- www.vuln-lab.com			       - www.evolution-sec.com
Contact:    admin@xxxxxxxxxxxxxxxxxxxxx 	- research@xxxxxxxxxxxxxxxxxxxxx 	       - admin@xxxxxxxxxxxxxxxxx
Section:    www.vulnerability-lab.com/dev 	- forum.vulnerability-db.com 		       - magazine.vulnerability-db.com
Social:	    twitter.com/#!/vuln_lab 		- facebook.com/VulnerabilityLab 	       - youtube.com/user/vulnerability0lab
Feeds:	    vulnerability-lab.com/rss/rss.php	- vulnerability-lab.com/rss/rss_upcoming.php   - vulnerability-lab.com/rss/rss_news.php

Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability Laboratory. 
Permission to electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of other 
media, are reserved by Vulnerability-Lab Research Team or its suppliers. All pictures, texts, advisories, source code, videos and 
other information on this website is trademark of vulnerability-lab team & the specific authors or managers. To record, list (feed), 
modify, use or edit our material contact (admin@xxxxxxxxxxxxxxxxxxxxx or research@xxxxxxxxxxxxxxxxxxxxx) to get a permission.

				Copyright © 2014 | Vulnerability Laboratory [Evolution Security]



-- 
VULNERABILITY LABORATORY RESEARCH TEAM
DOMAIN: www.vulnerability-lab.com
CONTACT: research@xxxxxxxxxxxxxxxxxxxxx